<?php

function thefranceswright_header_style()
{
	echo '<style type="text/css">
        #headimg, #lockup {
        	width: 25%;
            min-width: '.HEADER_IMAGE_WIDTH.'px;
        }
        #headimg {
        	margin: 0 auto;
        	width: '.HEADER_IMAGE_WIDTH.'px;
        	height: '.HEADER_IMAGE_HEIGHT.'px;
        	background: url('.get_header_image().');
        }
        #site_title, #tagline {
        	color: #'.get_header_textcolor().';
        }';
        if ( 'blank' == get_header_textcolor() ) :
        	echo '#site_title, #tagline { display: none; }';
        endif;
   	echo '</style>';
}

function thefranceswright_admin_header_style()
{
	wp_enqueue_script('google_fonts');
?>
<style type="text/css">

#headimg {
	border: 1px solid #cfcfcf;
	margin-bottom: 300px;
	text-align: center;
}

#headimg h1 a {
	text-decoration: none;
	font-family: 'Meddon', cursive;
	font-weight: 100;
	font-size: 1.5em;
	line-height: 1em;
	padding-top: 10px;
	margin-top: 310px;
	display: block;
}

#desc {
	font-family: 'Raleway', 'Helvetica Neue', Helvetica, Arial, Tahoma, sans-serif;
	font-weight: 300;
	font-style: normal;
	font-size: 1.5em;
	line-height: 1.5em;
}
</style>
<?php
}

function thefranceswright_register_menus() 
{
	/* Register nav menus using register_nav_menu() or register_nav_menus() here. */
	register_nav_menus(
		array(
			'header-menu' => __( 'Header Menu', 'thefranceswright' )
        )
	);
}

// Change image tag to enable responsive web design
function thefranceswright_image_tag($html, $id, $alt, $title) {
	return preg_replace(array(
			'/'.str_replace('//','\/\/',get_bloginfo('url')).'/i',
			'/\s+width="\d+"/i',
			'/\s+height="\d+"/i',
			'/alt=""/i'
		),
		array(
			'',
			'',
			'',
			'alt="' . $title . '"'
		),
		'<div class="img_attch">'.$html.'</div>');
}
add_filter('get_image_tag', 'thefranceswright_image_tag', 0, 4);

// Comments layout
function thefranceswright_comment($comment, $args, $depth) 
{
   $GLOBALS['comment'] = $comment; 
?>
<li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
	
	<div id="comment-<?php comment_ID(); ?>">
			
		<div class="avatar">
		
			<?php echo get_avatar( $comment->comment_author_email, 48 ); ?>
			
		</div>
			
		<div class="comment-author vcard">
			
			<div class="comment-meta commentmetadata">
		
				<a href="<?php echo esc_url( get_comment_link( $comment->comment_ID ) ) ?>"><?php printf(__('%1$s at %2$s', 'thefranceswright'), get_comment_date('M d Y'),  get_comment_time()) ?></a> <?php edit_comment_link(__('(Edit)', 'thefranceswright'),'  ','') ?>
			
			</div>

			<?php printf(__('<cite class="fn">%s</cite> says'), get_comment_author_link()) ?>

		</div>
		
	<div class="comment_text">
	
		<?php if ($comment->comment_approved == '0') : ?>
		
			<em class="waiting"><?php _e('Your comment is awaiting moderation.', 'thefranceswright') ?></em><br />
	
		<?php endif; ?>
	
		<?php comment_text() ?>

	</div>
	
	<div class="reply">

		<?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>

	</div>

</div>
<?php
}
?>