<?php

/**
 * Fire up after the functions files are loaded
 */
add_action( 'after_setup_theme', 'thefranceswright_theme_setup' );

function thefranceswright_theme_setup()
{

	global $content_width;

	/* Set the $content_width for things such as video embeds. */
	if ( !isset( $content_width ) ) {
		$content_width = 600;
	}
	
	/* Add custom header image globals */
	define( 'NO_HEADER_TEXT', false );
	
	define( 'HEADER_TEXTCOLOR', '666666' );
	
	/* Default header image for this theme */
	define( 'HEADER_IMAGE', '%s/assets/images/default_header.png' ); 
	
	/* Use width & height appropriate for this theme */
	define( 'HEADER_IMAGE_WIDTH', 300 ); 
	define( 'HEADER_IMAGE_HEIGHT', 300 );

	/* Add theme support for automatic feed links. */
	add_theme_support( 'automatic-feed-links' );

	/* Add theme support for post thumbnails (featured images). */
	add_theme_support( 'post-thumbnails' );
	
	/* Add theme support for custom headers */
	add_custom_image_header('thefranceswright_header_style', 'thefranceswright_admin_header_style');
	
	/* Add theme support for custom background */
	add_custom_background();
	
	/* Add  nav menus function to the 'init' action hook. */
	add_action( 'init', 'thefranceswright_register_menus' );
	
	/* Add sidebars function to the 'widgets_init' action hook. */
	add_action( 'widgets_init', 'thefranceswright_register_sidebars' );

	/* Load JavaScript files on the 'template_rediret' action hook. */
	add_action( 'template_redirect', 'thefranceswright_load_scripts' );
	
	/* Add filter to change the image tag for responsive web design */
	add_filter('get_image_tag', 'thefranceswright_image_tag', 0, 4);

}