<?php
/**
 * @package WordPress
 * @subpackage TheFrancesWright
 */
get_header(); ?>

<div id="section">

<?php if (have_posts()) : ?>

	<?php while (have_posts()) : the_post(); ?>
	
		<div <?php post_class() ?> id="post-<?php the_ID(); ?>">
			
			<div class="article_header">
				
				<i class="date"><?php the_time('F jS, Y') ?> by <a href="<?php echo get_author_posts_url(get_the_author_meta( 'ID' )); ?>"><?php the_author_meta('display_name'); ?></a></i>
				<h2><?php the_title(); ?></h2>
				
			</div>

			<div class="entry">
				
				<?php 
				
				if ( has_post_thumbnail() ) { // check if the post has a Post Thumbnail assigned to it.
						the_post_thumbnail();
				} 
				
				the_content('Read the rest of this entry &raquo;'); 
				
				wp_link_pages(array('before' => '<p class="pages"><strong>Pages:</strong> ', 'after' => '</p>', 'next_or_number' => 'number'));
				
				?>
			
			</div>

			<p class="postmetadata"><?php the_tags('Tags: ', ', ', '<br />'); ?> Posted in <?php the_category(', ') ?></p>
			
			<?php comments_template(); ?>
			
		</div>

	<?php endwhile; ?>

	<div class="navigation">
		<div class="alignleft"><?php next_post_link('&laquo; %link'); ?></div>
		<div class="alignright"><?php previous_post_link('%link &raquo;') ?></div>
	</div>

<?php else : ?>

	<h2>Not Found</h2>
	<p>Sorry, but you are looking for something that isn't here.</p>
	
	<?php get_search_form(); ?>

<?php endif; ?>

</div>

<?php get_sidebar(); ?>
	
<?php get_footer(); ?>
